# PGPSigner | CICADA
Documentation for CICADA

exports

### Hierarchy

- PGPSigner

### Implements

- Signer

## Index

### Constructors

- constructor

### Properties

- algo
- dgst
- engine
- keyStore
- loggingService
- onsign
- onverify
- signature

### Methods

- fingerprint
- prepare
- sign
- verify

## Constructors

### constructor

- new PGPSigner(keyStore: MutableKeyStore ): PGPSigner

- - Defined in src/app/_pgp/pgp-signer.ts:74

  Initializing the Signer.

  #### Parameters

  - ##### keyStore: MutableKeyStore

    A keystore holding pgp keys.

  #### Returns PGPSigner

## Properties

### algo

algo: string = 'sha256'

- Defined in src/app/_pgp/pgp-signer.ts:60

Encryption algorithm used

### dgst

dgst: string

- Defined in src/app/_pgp/pgp-signer.ts:62

Message digest

### engine

engine: string = 'pgp'

- Defined in src/app/_pgp/pgp-signer.ts:64

Encryption engine used.

### keyStore

keyStore: MutableKeyStore

- Defined in src/app/_pgp/pgp-signer.ts:66

A keystore holding pgp keys.

### loggingService

loggingService: LoggingService

- Defined in src/app/_pgp/pgp-signer.ts:68

A service that provides logging capabilities.

### onsign

onsign: (signature: Signature ) => void

Implementation of Signer.onsign

- Defined in src/app/_pgp/pgp-signer.ts:70

Event triggered on successful signing of message.

#### Type declaration

- - (signature: Signature ): void

  - #### Parameters

    - ##### signature: Signature

    #### Returns void

### onverify

onverify: (flag: boolean) => void

Implementation of Signer.onverify

- Defined in src/app/_pgp/pgp-signer.ts:72

Event triggered on successful verification of a signature.

#### Type declaration

- - (flag: boolean): void

  - #### Parameters

    - ##### flag: boolean

    #### Returns void

### signature

signature: Signature

- Defined in src/app/_pgp/pgp-signer.ts:74

Generated signature

## Methods

### fingerprint

- fingerprint(): string

- Implementation of Signer.fingerprint

  - Defined in src/app/_pgp/pgp-signer.ts:90

  Get the private key fingerprint.

  #### Returns string

  A private key fingerprint.

### prepare

- prepare(material: Signable ): boolean

- Implementation of Signer.prepare

  - Defined in src/app/_pgp/pgp-signer.ts:99

  Load the message digest.

  #### Parameters

  - ##### material: Signable

    A signable object.

  #### Returns boolean

  true - If digest has been loaded successfully.

### sign

- sign(digest: string): Promise<void>

- Implementation of Signer.sign

  - Defined in src/app/_pgp/pgp-signer.ts:109

  Signs a message using a private key.

  async

  #### Parameters

  - ##### digest: string

    The message to be signed.

  #### Returns Promise<void>

### verify

- verify(digest: string, signature: Signature ): void

- Implementation of Signer.verify

  - Defined in src/app/_pgp/pgp-signer.ts:144

  Verify that signature is valid.

  #### Parameters

  - ##### digest: string

    The message that was signed.

  - ##### signature: Signature

    The generated signature.

  #### Returns void

Generated using TypeDoc